wpa_supplicant will not connect to VAP: skip - SSID mismatch

Kyle Evans kevans at android-x86.org
Thu Aug 16 11:55:31 EDT 2012


First, let me say, I am using a proprietary driver, wl.ko from broadcom. 
This is my first time trying to use that driver with only wpa_supplicant 
in Gentoo. Previously, I had used wireless-tools.

Basically, it will not connect to my DD-WRT repeater/bridge. Near as I 
can tell this is because of the error "skip - SSID mismatch". With 
0.7.3, I could manually set the essid with iwconfig and it would connect 
instantly. With wpa_supplicant-1, this does not work, but that's a side 
note. I would like to not use iwconfig at all.

Do you guys know what is going on here? I've tested different versions 
of supplicant with different driver combinations wext/nl80211, and I 
have Fedora, Gentoo, and Android-x86 installed with wl.ko, so if you 
would like some logs or something let me know. My device is 14e4:4315

Downstream forum discussion: 
http://forums.gentoo.org/viewtopic-t-932506.html

Downstream Bug: https://bugs.gentoo.org/show_bug.cgi?id=431550

-Kyle


More information about the HostAP mailing list